Hi all,

I'm trying to create a patch to fix several feature requests about the crop
tool. However, after adding my first option to the crop tool info window, I
get these messages during startup:

(gimp-2.1:11796): GLib-GObject-CRITICAL **: file genums.c: line 402
(g_value_get_enum): assertion _VALUE_HOLDS_ENUM (value)' failed

I've added a boolean (not enum!!) option to the struct in gimpcropoptions.h,
added it to the set and get functions, to the class init, and added a
corresponding widget to the GUI.

If I try to click the widget, I get the same errors.

Where should I look for the problem? Is there some auto-generated 
file that contains all registered options for all the tools or 
something like that??

Gimp-developer mailing list

Reply via email to